<?php
public function getGitFoxProjects($hostID = 0, $projectIdList = array())
{
    return $this->loadExtension('devops')->getGitFoxProjects($hostID, $projectIdList);
}

public function apiGetMRCommits($hostID, $projectID, $mrID)
{
    return $this->loadExtension('devops')->apiGetMRCommits($hostID, $projectID, $mrID);
}

public function apiUpdateMR($oldMR, $mr)
{
    return $this->loadExtension('devops')->apiUpdateMR($oldMR, $mr);
}

public function apiDeleteMR($hostID, $projectID, $mrID)
{
    return $this->loadExtension('devops')->apiDeleteMR($hostID, $projectID, $mrID);
}

public function apiReopenMR($hostID, $projectID, $mrID)
{
    return $this->loadExtension('devops')->apiReopenMR($hostID, $projectID, $mrID);
}

public function apiAcceptMR($mr)
{
    return $this->loadExtension('devops')->apiAcceptMR($mr);
}

public function getDiffs($mr)
{
    return $this->loadExtension('devops')->getDiffs($mr);
}

public function link($mrID, $type, $objects)
{
    return $this->loadExtension('devops')->link($mrID, $type, $objects);
}

public function unlink($mrID, $type, $objectID)
{
    return $this->loadExtension('devops')->unlink($mrID, $type, $objectID);
}

public function approve($mr, $action = 'approve', $comment = '')
{
    return $this->loadExtension('devops')->approve($mr, $action, $comment);
}
